Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011872 [DCSS] Bug Report crash always 2019-02-11 06:25 2019-04-23 01:17
Reporter Siegurt View Status public  
Assigned To advil
Priority normal Resolution done  
Status closed   Product Branch 0.24 development branch
Summary 0011872: Crawl closes (crashes) immediately on startup
Description No messages or log files are generated, it closes instantly on startup.

To isolate this slightly I installed each nightly build going forward from 0.23 forward.

From 0.24-a0-91-g4e4936a forward all nightly versions crash, 0.24-a0-73-g81bb1ad and earlier does not.

The crash doesn't seem to be related to a setting in my init file (it happens whether I start with no init file or with the one I've been using for a long time now)

It happens whether launched from an icon or from the command line.

Further information is that the crash happens very quickly.

OS is Windows 10
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0011873closedadvil Crawl closes (crashes) immediately on startup 

-  Notes
(0033085)
advil (administrator)
2019-02-12 16:27

Thanks for the report, this was triggered by a fairly complex set of circumstances to do with global initialization order that is fixed in https://github.com/crawl/crawl/commit/33396473a155e76679c88a3658fce116b7b95635 [^] , so the next time trunk download rebuilds it should be usable.

- Issue History
Date Modified Username Field Change
2019-02-11 06:25 Siegurt New Issue
2019-02-12 16:23 advil Relationship added has duplicate 0011873
2019-02-12 16:27 advil Note Added: 0033085
2019-02-12 16:27 advil Status new => resolved
2019-02-12 16:27 advil Fixed in Branch => 0.24 development branch
2019-02-12 16:27 advil Resolution open => done
2019-02-12 16:27 advil Assigned To => advil
2019-04-23 01:17 Siegurt Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker